Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGDOMImplementation.FePointLightElementFactory

    java.lang.Object
      org.apache.batik.dom.svg.SVGDOMImplementation.FePointLightElementFactory

All Implemented Interfaces:
  SVGDOMImplementation.ElementFactory

Enclosing class:
  SVGDOMImplementation

protected static class SVGDOMImplementation.FePointLightElementFactory
extends java.lang.Object
implements SVGDOMImplementation.ElementFactory

To create a 'fePointLight' element.

Constructor Summary
`SVGDOMImplementation.FePointLightElementFactory()`

Method Summary
`org.w3c.dom.Element` | `create(java.lang.String prefix, org.w3c.dom.Document doc)` Creates an instance of the associated element type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGDOMImplementation.FePointLightElementFactory

    public SVGDOMImplementation.FePointLightElementFactory()

Method Detail

### create

    public org.w3c.dom.Element create(java.lang.String prefix,
                                      org.w3c.dom.Document doc)

  Creates an instance of the associated element type.

  Specified by:
    `create` in interface `SVGDOMImplementation.ElementFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.